ttx_magazine Struct Reference

## Data Fields

struct ttx_extension | extension
int8_t | pop_lut [0x100]
int8_t | drcs_lut [0x100]
struct ttx_pop_link | pop_link [2][8]
vbi_pgno | drcs_link [2][8]

## Field Documentation

## extension

struct ttx_extension ttx_magazine::extension

Default extension.

## pop_lut

int8_t ttx_magazine::pop_lut[0x100]

Converts page number to index into pop_link[] for default object invocation. Valid range 0 ... 7, -1 if broken.

## drcs_lut

int8_t ttx_magazine::drcs_lut[0x100]

Converts page number to index into drcs_link[] for default object invocation. Valid range 0 ... 7, -1 if broken.

## pop_link

struct ttx_pop_link ttx_magazine::pop_link[2][8]

Level 2.5 [0] or 3.5 [1], one global [0] and seven local links to POP page. NO_PAGE(pop_link[][].pgno) == TRUE if the link is unused or broken.

## drcs_link

vbi_pgno ttx_magazine::drcs_link[2][8]

Level 2.5 [0] or 3.5 [1], one global [0] and seven local links to DRCS page. NO_PAGE(drcs_link[][]) == TRUE if the link is unused or broken.